/* General Body Styling */
body {
    max-width: 100%;
    max-height: 100vh;
    overflow-y: hidden;
    overflow-x: hidden;
    margin: 0;
    padding: 0;
    color: white;
    font-family: "Inter", sans-serif;
}

/* Language Switch Button Container */
.lang-switch-container {
    position: absolute;
    top: 10px; /* Adjust top position as needed */
    left: 10px; /* Adjust left position as needed */
    display: flex;
    gap: 8px;
}

/* Language Switch Button Styling */
.lang-switch {
    cursor: pointer;
    color: gray; /* Set button text color to gray */
    text-decoration: none;
    font-size: 14px;
    font-weight: 400;
    text-transform: uppercase;
    letter-spacing: 0.14px;
    padding: 5px 10px; /* Added padding for better clickability */
}

/* Close Button Styling */
.close-btn {
    position: absolute;
    top: 0;
    right: 0;
    padding: 10px;
    margin: 10px;
    border: none;
    background: #f00; /* Example background color for visibility */
    color: #fff; /* Example text color */
    cursor: pointer;
}

.close-btn img {
    width: 24px;
    height: 24px;
}

/* Contact Form Styling */
.contact-main {
    display: flex;
    align-items: center;
    justify-content: center;
    background-image: url('images/home1.png');
    background-size: cover;
    background-position: center;
    max-width: 100%;
    height: 100vh;
    margin: 0;
    padding: 0;
}

.contact-you-title {
    margin: 0;
    color: black;
    font-size: 18px;
    font-weight: 600;
}

.contact-you {
    margin: 0;
    margin-top: 2%;
    color: #03031D;
    font-weight: 400;
    opacity: 0.40;
    font-size: 14px;
}

.nice-forms {
    padding: 20px;
    margin: 10px 0;
    padding-left: 0;
    padding-right: 0;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 20px;
}

.my-labels-container {
    display: flex;
}

.my-labels {
    color: #1B1B1B;
    font-size: 16px;
    font-family: Inter;
    font-weight: 600;
    line-height: 19.20px;
    word-wrap: break-word;
    display: block;
    margin-bottom: 8px;
}

.my-inputs {
    width: 100%;
    height: 45px;
    border: 1px #EEF0F1 solid;
    padding: 16.9px;
    font-size: 14px;
    font-family: Inter;
    color: #184C7E;
    opacity: 0.4;
    box-sizing: border-box;
}

.name-container {
    flex: 1;
    min-width: 0;
    margin-right: 20px;
}

.my-textarea {
    width: 100%;
    height: 100px;
    border: 1px #EEF0F1 solid;
    padding: 16.9px;
    font-size: 14px;
    font-family: Inter;
    color: #184C7E;
    opacity: 0.4;
    box-sizing: border-box;
    resize: none;
    min-height: 6.5vh;
}

/* Button Styling */
.contact-butt-container {
    width: 90%;
    margin: 30px auto;
    margin-bottom: 11%;
    display: flex;
    justify-content: center;
}

.contact-butt-container1 {
    width: 49%;
    margin-top: 20px;
    display: flex;
    justify-content: left;
    margin-left: 10%;
}

.contact-butt {
    padding: 14px 27px;
    background: #184C7E;
    color: white;
    font-size: 14px;
    font-family: Inter;
    font-weight: 400;
    letter-spacing: 0.14px;
    border: none;
    cursor: pointer;
}

.contact-contact-title {
    color: #184C7E;
    font-size: 14px;
    font-weight: 500;
    margin: 0;
}

.contact-contact {
    color: black;
    font-size: 14px;
    font-weight: 300;
    margin: 0;
}

.contact-socmedia-container {
    display: flex;
    justify-content: center;
    width: 51%;
}

.contact-socmedia {
    display: flex;
    width: 152.07px;
}

.contact-socmedia-butt {
    background-color: transparent;
    border: none;
    cursor: pointer;
    height: 32px;
    padding: 0;
}

.form-container {
    width: 49%;
    margin-left: 10%;
}

.socmedia-section {
    display: flex;
    margin-bottom: 150px;
}

/* Responsive Styling */
@media (min-width: 1650px) {
    .contact-you-title {
        font-size: 20px;
    }
    .contact-you,
    .my-inputs,
    .my-textarea,
    .contact-butt,
    .contact-contact-title,
    .contact-contact {
        font-size: 16px;
    }
    .contact-butt {
        padding: 16px 30px;
    }
    .my-labels {
        font-size: 18px;
    }
    .my-inputs {
        height: 60px;
    }
    .my-textarea {
        height: 130px;
    }
    .contact-socmedia {
        width: 174px;
    }
    .contact-socmedia-butt,
    .contact-socmedia-butt img {
        height: 42px;
    }
}

@media (min-width: 1920px) {
    .contact-you-title {
        font-size: 22px;
    }
    .contact-you,
    .my-inputs,
    .my-textarea,
    .contact-butt,
    .contact-contact-title,
    .contact-contact {
        font-size: 18px;
    }
    .contact-butt {
        padding: 18px 32px;
    }
    .my-labels {
        font-size: 20px;
    }
    .my-inputs {
        height: 80px;
        padding: 18.9px;
    }
    .my-textarea {
        height: 175px;
        padding: 18.9px;
    }
    .close-btn img {
        width: 32px;
        height: 32px;
    }
    .contact-socmedia {
        width: 196px;
    }
    .contact-socmedia-butt,
    .contact-socmedia-butt img {
        height: 48px;
    }
}

@media (min-width: 2560px) {
    .contact-you-title {
        font-size: 28px;
    }
    .contact-you,
    .my-inputs,
    .my-textarea,
    .contact-butt,
    .contact-contact-title,
    .contact-contact {
        font-size: 24px;
    }
    .contact-butt {
        padding: 24px 46px;
    }
    .my-labels {
        font-size: 26px;
    }
    .my-inputs {
        height: 100px;
        padding: 22.9px;
    }
    .my-textarea {
        height: 210px;
        padding: 22.9px;
    }
    .close-btn img {
        width: 45px;
        height: 45px;
    }
    .contact-socmedia {
        width: 260px;
    }
    .contact-socmedia-butt,
    .contact-socmedia-butt img {
        height: 60px;
    }
}

@media (max-width: 480px) {
    .contact-main > div {
        padding-left: 5% !important;
        padding-right: 5% !important;
    }
    .contact-main > div > div {
        height: 90% !important;
    }
    .contact-main > div > div > div {
        justify-content: center !important;
    }
    .my-labels-container {
        flex-direction: column;
        gap: 20px;
    }
    .name-container {
        margin-right: 0;
    }
    .contact-butt-container {
        margin-top: 0;
        margin-bottom: 11%;
    }
    .form-container {
        width: auto;
    }
    .socmedia-section {
        display: flex;
        flex-direction: column;
        align-items: center;
        margin-bottom: 100px;
    }
    .contact-butt-container1 {
        width: auto;
        margin-left: 0;
    }
    .contact-socmedia-container {
        justify-content: flex-start;
        width: 100%;
        margin-top: 7%;
    }
    .contact-socmedia {
        margin-left: 10%;
        width: 200px;
    }
    .contact-socmedia-butt img {
        width: 35px;
    }
    .thanks {
        padding: 30% 5%;
    }
}



